petsc-3.4.2 2013-07-02

# PetscViewerBinarySetMPIIO

Sets a binary viewer to use MPI IO for reading/writing. Must be called before PetscViewerFileSetName()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinarySetMPIIO(PetscViewer viewer)

Logically Collective on PetscViewer

### Input Parameters

viewer -the PetscViewer; must be a binary

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages